> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/accounts/list-all-relations/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Get all relations for an Account GET https://api.withpersona.com/api/v1/accounts/{account-id}/relations Gets relations for an Account by key Reference: https://docs.withpersona.com/api-reference/accounts/list-all-relations ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account-id` (string, required) ### Query parameters - `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details. - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. - `filter` (AccountsAccountIdRelationsGetParametersFilter, required) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Account relations. - `data` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaDataItems, required) — List of relations for the Account. The type of the returned objects is determined by the key query parameter. - `links` (AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 409 Conflict Error The request conflicts with another request, often due to attempting to create a duplicate resource. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 422 Unprocessable Entity Error The request modifies the resource in an unacceptable way, often due to an invalid action or parameter. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### AccountsAccountIdRelationsGetParametersFilter - `key` (string, required) — Filter relations by relation key. - `created-at-start` (string, optional) — Filter relations by creation date. - `created-at-end` (string, optional) — Filter relations by creation date. ### AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaDataItems ### AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) — URL pointing to the previous page of data, or null if on the first page. - `next` (string, required, nullable) — URL pointing to the next page of data, or null if on the last page. ### AccountsAccountIdRelationsGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### account An Account object. Note that `fields` is **not** key inflected. - `id` (string, optional) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributes, optional) - `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationships, optional) ### transaction - `id` (string, optional) — Unique identifier for this Transaction. Starts with `txn_`. - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionAttributes, optional) - `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationships, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributes - `reference-id` (string, optional, nullable) - `account-type-name` (string, optional) - `created-at` (datetime, optional) - `updated-at` (datetime, optional) - `redacted-at` (datetime, optional, nullable) - `fields` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFields, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Account Type for this Account. Keys in `fields` are **not** key inflected. - `tags` (list of string, optional) - `account-status` (string, optional) - `birthdate` (date, optional, nullable) — Birthdate, must be in the format "YYYY-MM-DD". - `name-first` (string, optional, nullable) — Given or first name. - `name-middle` (string, optional, nullable) — Middle name. - `name-last` (string, optional, nullable) — Family or last name. - `phone-number` (string, optional, nullable) — Phone number. - `email-address` (string, optional, nullable) — Email address. - `address-street-1` (string, optional, nullable) — Street name of residence address. - `address-street-2` (string, optional, nullable) — Extension of residence address, usually apartment or suite number. - `address-city` (string, optional, nullable) — City of residence address. Not all international addresses use this attribute. - `address-subdivision` (string, optional, nullable) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `address-postal-code` (string, optional, nullable) — ZIP or postal code of residence address. Not all international addresses use this attribute. - `country-code` (string, optional, nullable) — ISO 3166-1 alpha 2 country code. - `identification-numbers` (map from string to list of VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesIdentificationNumbersItems, optional) — Keys will be the identification class - `social-security-number` (string, optional, nullable) — Social security number. ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationships - `account-type` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountType, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionAttributes - `status` (string, optional) - `reference-id` (string, optional, nullable) - `fields` (map from string to any, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Transaction Type for this Transaction. - `tags` (list of string, optional) - `signals` (map from string to any, optional) — Risk signals computed for this Transaction, keyed by signal name. Only present for Transactions whose Transaction Type has Sentinel enabled; signals appear once the Sentinel session has been processed. Specific keys are not enumerated in the public spec and may be added or removed over time. Contact your Persona account team for more information. - `created-at` (datetime, optional) - `updated-at` (datetime, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationships - `reviewer` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewer, optional) — The entity that reviewed the transaction - `transaction-label` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabel, optional) - `transaction-type` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionType, optional) - `related-objects` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjects, optional) — Objects involved in this Transaction's related Workflow runs. - `sentinel-sessions` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessions, optional) — The Sentinel sessions that collected device and network data for this Transaction. Present on every Transaction; `data` is empty unless the Transaction has one or more Sentinel sessions. ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFields JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Account Type for this Account. Keys in `fields` are **not** key inflected. - `name` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsName, optional) - `address` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddress, optional) - `identification_numbers` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbers, optional) - `birthdate` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsBirthdate, optional) - `phone_number` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsPhoneNumber, optional) - `email_address` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsEmailAddress, optional) - `selfie_photo` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsSelfiePhoto, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesIdentificationNumbersItems - `issuing-country` (string, optional) - `identification-class` (string, optional) - `identification-number` (string, optional) - `created-at` (datetime, optional) - `updated-at` (datetime, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountType - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountTypeData, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewer The entity that reviewed the transaction - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewerData, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabel - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabelData, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionType - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionTypeData, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjects Objects involved in this Transaction's related Workflow runs. - `data` (list of VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjectsDataItems, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessions The Sentinel sessions that collected device and network data for this Transaction. Present on every Transaction; `data` is empty unless the Transaction has one or more Sentinel sessions. - `data` (list of VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessionsDataItems, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsName - `type` (string, optional) - `value` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValue, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddress - `type` (string, optional) - `value` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValue, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbers - `type` (string, optional) - `value` (list of VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItems, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsBirthdate - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsPhoneNumber - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsEmailAddress - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsSelfiePhoto - `type` ("file", optional) - `value` (File, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountTypeData - `id` (string, optional) - `type` ("account-type", optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewerData - `type` (string, optional) - `id` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabelData - `type` ("transaction-label", optional) - `id` (string, optional) — Unique identifier for this Transaction Label. Starts with `txnl_`. ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionTypeData - `type` ("transaction-type", optional) - `id` (string, optional) — Unique identifier for this Transaction Type. Starts with `txntp_`. ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjectsDataItems - `type` (string, optional) - `id` (string, optional) — Unique identifier for this object. ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessionsDataItems - `type` ("sentinel-session", optional) - `id` (string, optional) — Unique identifier for this Sentinel Session. Starts with `snts_`. ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValue - `first` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueFirst, optional) - `middle` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueMiddle, optional) - `last` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueLast, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValue - `street_1` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet1, optional) - `street_2` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet2, optional) - `subdivision` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueSubdivision, optional) - `city` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCity, optional) - `postal_code` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValuePostalCode, optional) - `country_code` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCountryCode, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItems - `type` (string, optional) - `value` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValue, optional) ### File - `filename` (string, optional) - `url` (string, optional) - `byte-size` (integer, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueFirst - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueMiddle - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueLast - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet1 - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet2 - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueSubdivision - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCity - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValuePostalCode - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCountryCode - `type` (string, optional) - `value` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValue - `identification_class` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationClass, optional) - `identification_number` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationNumber, optional) - `issuing_country` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIssuingCountry, optional) - `hashed_identification_number` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueHashedIdentificationNumber, optional) — A SHA-256 hash of the identification number, keyed on organization, country code, identification class, and issuing subdivision. Stable across re-verifications of the same document for the same organization. Null when the identification number has not been hashed. ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationClass - `type` (string, optional) - `value` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationNumber - `type` (string, optional) - `value` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIssuingCountry - `type` (string, optional) - `value` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueHashedIdentificationNumber A SHA-256 hash of the identification number, keyed on organization, country code, identification class, and issuing subdivision. Stable across re-verifications of the same document for the same organization. Null when the identification number has not been hashed. - `type` (string, optional) - `value` (string, optional, nullable) ## Examples **Response** ```json { "data": [ { "attributes": { "account-type-name": "User", "created-at": "2023-09-22T17:13:49.000Z", "fields": { "address": { "type": "hash", "value": { "city": { "type": "string", "value": "San Francisco" }, "country_code": { "type": "string", "value": "US" }, "postal_code": { "type": "string", "value": "94111" }, "street_1": { "type": "string", "value": "123 Main St" }, "street_2": { "type": "string", "value": null }, "subdivision": { "type": "string", "value": "California" } } }, "birthdate": { "type": "date", "value": "1994-12-30" }, "email_address": { "type": "string", "value": "jane@doe.com" }, "identification_numbers": { "type": "array", "value": [ { "type": "hash", "value": { "identification_class": { "type": "string", "value": "visa" }, "identification_number": { "type": "string", "value": "12345678" }, "issuing_country": { "type": "string", "value": "US" } } }, { "type": "hash", "value": { "identification_class": { "type": "string", "value": "visa" }, "identification_number": { "type": "string", "value": "87654321" }, "issuing_country": { "type": "string", "value": "UK" } } }, { "type": "hash", "value": { "identification_class": { "type": "string", "value": "cct" }, "identification_number": { "type": "string", "value": "A12345678" }, "issuing_country": { "type": "string", "value": "AF" } } } ] }, "name": { "type": "hash", "value": { "first": { "type": "string", "value": "Jane" }, "last": { "type": "string", "value": "Doe" }, "middle": { "type": "string", "value": "Marie" } } }, "phone_number": { "type": "string", "value": "111-222-3333" }, "selfie_photo": { "type": "file" } }, "redacted-at": null, "reference-id": "abc-123", "tags": [ "tag1", "tag2" ], "updated-at": "2023-09-23T00:22:19.000Z" }, "id": "act_hpNqyAbEG4HeVjZoBRNCMKkA", "relationships": { "account-type": { "data": { "id": "acttp_7X5W5w9GMtQntE6oPtKnj44c", "type": "account-type" } } }, "type": "account" } ], "links": { "prev": null, "next": "/api/v1/accounts?page%5Bafter%5D=act_hpNqyAbEG4HeVjZoBRNCMKkA" } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/accounts/account-id/relations" querystring = {"filter":"{\"key\":\"string\"}"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/accounts/account-id/relations?filter=%7B%22key%22%3A%22string%22%7D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```